{% extends 'base.html' %}

{% block title %}List of Grades{% endblock %}

{% block content %}
    <div class="container mt-4">
        <h1>List of Grades</h1>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Grade ID</th>
                    <th>Student</th>
                    <th>Course</th>
                    <th>Grade Value</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for grade in grades %}
                    <tr>
                        <td>{{ grade.id }}</td>
                        <td>{{ grade.student }}</td>
                        <td>{{ grade.course }}</td>
                        <td>{{ grade.value }}</td>
                        <td>
                            <a href="{% url 'update_grade' grade.id %}" class="btn btn-primary btn-sm">Edit</a>
                            <a href="{% url 'delete_grade' grade.id %}" class="btn btn-danger btn-sm">Delete</a>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
        <a href="{% url 'create_grade' %}" class="btn btn-success">Add Grade</a>
    </div>
{% endblock %}
